gsm0411_smr.h File Reference
Short Message Service (SMS)
`#include <osmocom/gsm/protocol/gsm_04_11.h>`

Go to the source code of this file.

## Data Structures

struct | gsm411_smr_inst

## Macros

#define | GSM411_SM_RL_DATA_REQ 0x401
#define | GSM411_SM_RL_DATA_IND 0x402
#define | GSM411_SM_RL_MEM_AVAIL_REQ 0x403
#define | GSM411_SM_RL_MEM_AVAIL_IND 0x404
#define | GSM411_SM_RL_REPORT_REQ 0x405
#define | GSM411_SM_RL_REPORT_IND 0x406

## Functions

void | gsm411_smr_init (struct gsm411_smr_inst *inst, uint64_t id, int network, int(*rl_recv)(struct gsm411_smr_inst *inst, int msg_type, struct msgb *msg), int(*mn_send)(struct gsm411_smr_inst *inst, int msg_type, struct msgb *msg))
void | gsm411_smr_clear (struct gsm411_smr_inst *inst)
int | gsm411_smr_send (struct gsm411_smr_inst *inst, int msg_type, struct msgb *msg)
int | gsm411_smr_recv (struct gsm411_smr_inst *inst, int msg_type, struct msgb *msg)
static const char * | gsm411_rp_state_name (enum gsm411_rp_state rp_state)

## Variables

const struct value_string | gsm411_rp_cause_strs []
const struct value_string | gsm411_rp_state_names []